import { EventEmitter } from '../../../stencil-public-runtime';
export declare class PnMainnav {
    hostElement: HTMLElement;
    /** Specifies which market we want to fetch navigation for (se,dk,fi,no,com) */
    market: string;
    /** Specifies which language we want to show navigation in (sv,da,fi,no,en) */
    language: string;
    /** Specifies which endpoint we should read information from */
    navigationId: string;
    /** Specifies which endpoint we should read information from */
    openMenu: boolean;
    /** Sets the label of the navigation (Required if multiple nav elements are on a page) */
    navLabel: string;
    menuLanguageChange: EventEmitter;
    marketChange: EventEmitter;
    menuOpenChange: EventEmitter;
    componentWillLoad(): void;
    init(): Promise<void>;
    private _onClickOutside;
    setLanguage(): void;
    setMarket(): void;
    onLanguageChange(event: any): void;
    setMenuOpenState(): void;
    onOpenMenuLevelChange(event: any): void;
    render(): any;
}
